/*
Theme Name: Path Counseling and Wellness
Theme URI: http://example.com/twenty-fifteen-child/
description: >-
  Path Counseling and Wellness Wordpress theme
Author: Keely Retzloff
Author URI: http://keely.dev
Template: twentytwentyone
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags: light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
Text Domain: path-couseling-child
*/

/*import fonts and set headings and body*/
@font-face {
  font-family: 'Walkway Expand';
  src: url(https://www.pathcounselingandwellness.com/wp-content/themes/PathCounseling/Assets/fonts/WalkwayExpandBlack.ttf);
}

@font-face {
  font-family: 'Avenir Medium';
  src: url(https://www.pathcounselingandwellness.com/wp-content/themes/PathCounseling/Assets/fonts/AvenirNext-Medium.ttf);
}

body {
	color: #023C59;
}

h1, h2, h3, h4, h5, h6, button#wpforms-submit-121, button.submit-button, button#wpforms-submit-964, #contact-button a, .contact-button a{
    font-family: 'Walkway Expand', Arial, Helvetica, sans-serif !important;
    font-variant: small-caps;
	color: #023C59;
	letter-spacing: .1rem !important;
}

p, nav ul.sub-menu a {
    font-family: 'Avenir Medium', Arial, Helvetica, sans-serif !important;
    font-variant: normal;
}


/* link styles */
a:active, a:focus  {
    color:#023C59;
    background: none !important;
    text-decoration: underline;
    text-decoration-color: #D09F3E !important;
}

.primary-navigation a:hover {
	text-decoration-color: #023C59 !important;
	text-decoration-style: solid;
}
a:hover {
    text-decoration-color: #D09F3E !important;
    text-decoration: underline;
}


.learnmore-btn:hover { background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0)), linear-gradient(260deg, #E4C58A 75%, #D09F3E 100%) !important; }

.has-background-white .site a:not(.wp-block-button__link):not(.wp-block-file__button) { transition: all .2s ease; }
.has-background-white .site a:hover:not(.wp-block-button__link):not(.wp-block-file__button) { color: #023C59 !important; }
.has-background-white .site a:focus:not(.wp-block-button__link):not(.wp-block-file__button):not(.custom-logo-link) {
    color: #023C59 !important;
	background-color: #E4C58A !important;
}

.has-background-white .site .site-logo a.custom-logo-link:focus { 
	background-color: transparent !important; 
	background-image: url(https://www.pathcounselingandwellness.com/wp-content/uploads/2023/01/PATH_Primary_Logo_Composite_Horizontal_White1.png) !important;
	background-size: 75% !important;
	background-repeat: no-repeat !important;
}


/*fix container width for site*/
.post-thumbnail, .entry-content .wp-audio-shortcode, .entry-content > :not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.wp-block-separator):not(.woocommerce), [class*="inner-container"] > :not(.entry-content):not(.alignwide):not(.alignfull):not(.alignleft):not(.alignright):not(.wp-block-separator):not(.woocommerce), .default-max-width, .widget-area, .pagination, .comments-pagination, .post-navigation, .site-footer, .site-header, .alignwide, .wide-max-width {
	max-width: 1250px !important;
}

/*fix form styling*/
div#wpforms-121 form input, div#wpforms-121 form textarea, div#wpforms-964 form input, div#wpforms-964 form textarea {
 background: #f9f3e7;
 color: #023C59;
 border-radius: 15px;
 border:none;
}

div.wpforms-container-full .wpforms-form input.wpforms-field-medium, div.wpforms-container-full .wpforms-form select.wpforms-field-medium, div.wpforms-container-full .wpforms-form .wpforms-field-row.wpforms-field-medium {
    max-width: 100%;
}

div.wpforms-container-full .wpforms-form .wpforms-submit-container {
    text-align: center;
}

button#wpforms-submit-121, button.submit-button, button#wpforms-submit-964, #contact-button a,.contact-button a, a.learnmore-btn {
  border-radius: 15px;
  font-size: 1.5rem;
  padding: .5rem 3rem;
  color: #023C59;
  border: solid 3px transparent;
  background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0)), linear-gradient(260deg, #E4C58A 0%, #D09F3E 100%);
 background-origin: border-box;
  background-clip: content-box, border-box;
  box-shadow: 2px 1000px 1px #fff inset;
	white-space: nowrap;
}

a#call-to-action  {
	color: #12587B;
	padding: 30px 40px !important;
	border: solid 3px transparent;
	background-image: linear-gradient(rgba(255, 255, 255, 0), rgba(255, 255, 255, 0)), linear-gradient(180deg, #fff 0%, #D09F3E 100%);
	background-origin: border-box;
	background-clip: content-box, border-box;
	box-shadow: 2px 1000px 1px #fff inset;
}


button#wpforms-submit-121:hover, a#call-to-action:hover, #contact-button a, .contact-button a {
  box-shadow: none !important;
  color: white !important;
}

.premium-person-name { font-size: 24px;}
.premium-person-title span { font-size: 16px;}
.premium-person-title  {margin-bottom: 32px; }
.learnmore-btn { text-transform: uppercase; }
.premium-person-content {margin: 0 0 8px;}

/*header styles*/
.site-header > .site-logo {
	border-bottom: none;
	padding-bottom: none;
}

.site-main {
    padding-top: 0 !important;
}

.site-branding {
	width: 100% !important;
	text-align: center !important;
}

.site-logo {
    margin-bottom:0 !important;
}

nav#site-navigation {
    margin-left: auto !important;
    margin-right: auto !important;
}

.primary-navigation .primary-menu-container > ul > .menu-item > a {
	font-size: 1.5em;
    margin: 0;
    color:#023C59 !important;
}


.primary-navigation .primary-menu-container > ul > .menu-item {
    margin: 0 1.5em;
}

header#masthead {
	margin: 0 auto;
	max-width: 1190px;
	padding: 0;
}

/*footer styles*/
.site-footer {
    padding-bottom: 0 !important;
}

.widget-area {
	margin-top: 0 !important;
	padding-bottom: 0 !important;
    display: flex !important;
	flex-wrap: wrap !important;
}

a.sx-verified-seal {
	width: 200px !important;
  height: 60px !important;
  background-position: center;
  background-size: contain;
}

.footer-navigation {
	background: #C7A355 !important;
	border-radius: 20px !important;
	margin: 0 1em !important;
	padding: 20px !important;
}

.footer-navigation ul li a {
	color: #023C59 !important;
	text-decoration: none !important;
    font-size: 1.5em;
    margin: 0;
}

aside.widget-area section {
	width: 100% !important;
	text-align: center!important;
}

#custom_html-3 {
	display: flex !important;
	flex-wrap:nowrap !important;
	margin: auto !important;
	align-content: middle !important;
	justify-content:center !important;
    width:100% !important;
}

ul#social-links {
	display: flex;
}

ul#social-links li {
	margin: 0 12px;
    background:#023C59;
    border-radius: 15px;
}

ul#social-links li a img {
    width: 20px;
    height: 20px;
    margin: 10px;
}


div#to-top-button a img {
	margin: auto;
    position: relative;
    top:0;
    left:0;
    width: 40px;
}

footer { position: relative; }
div#to-top-button {
	position: absolute;
	top: 0;
	left: 50%;
	margin-top: -15px;
	margin-left: -15px;
}

.attachment-full.size-full.wp-image-1271 {
	height: 600px !important;
}

/*Blog Posts Page*/
body.blog .site-main > :first-child, body.archive.category .site-main > :first-child, body.single-post .site-main > :first-child { margin-top: 120px; border-bottom: none; text-align: center; }

body.blog .container { max-width: 1500px; }
body.blog .entry-header { display: block !important; }
body.blog .entry-header figure { display: none !important; }
body.blog .entry-header .entry-title { color: #023C59 !important; }

/*Single Post*/
body.single-post #primary { margin-top: 180px; }
body.single-post .entry-header { display: block !important; }
body.single-post h1.entry-title { color: #023C59 !important; font-size: 2em; }
body.single-post figure { display: none; }

/*404*/
body.error404 #content { margin-top: 120px; margin-bottom: 120px; }
body.error404 .page-header, body.error404 .page-content { text-align: center; margin: auto; }



/*Media Queries*/
@media (min-width: 482px) and (max-width: 965px) {
	.primary-navigation > div > .menu-wrapper > li > .sub-menu { right: 20px; left:unset !important; }
.primary-navigation > div > .menu-wrapper > li > .sub-menu:before, .primary-navigation > div > .menu-wrapper > li > .sub-menu:after { left: 85% !important; }
	#menu-item-35 a {padding-right: 0; }
	#menu-item-35 button { min-width: 50px;}
}

@media only screen and (min-width: 965px) {
	.primary-navigation .primary-menu-container > ul > .menu-item > a { 
		color: #FFF !important;
		text-shadow: 1px 1px 10px gray !important;
	}
	.primary-navigation > div > .menu-wrapper .sub-menu-toggle { justify-content: start !important; width: 35px !important; }
	.sub-menu-toggle {
		color:#fff !important;
	}
	
	#masthead::after {content: ' '; width: 150vw; height: 4px; background: linear-gradient(180deg, rgba(2,60,89,1) 0%, rgba(255,255,255,0) 100%); position: absolute; top:0; left: -50vw; z-index: 1;  transition: all .3s ease;}
	#masthead { position: relative; z-index: 2; }
	.site-branding, .primary-navigation { z-index: 2;}
	.home #masthead::after { height 4px; }
	.home #masthead:hover::after, #masthead::after { height: 104px;  }

	ul.sub-menu { box-shadow: 5px 5px 11px 0px rgba(214,214,214,0.55);}
	.primary-navigation > div > .menu-wrapper li { margin-right: 0 !important;}
	
	.cover-photo img {
		max-height: calc(100vh - 150px);
		object-position: 0 -5vw;
		max-width: 100% !important;
}
	
	 .team-cover-photo img {
	max-height: calc(100vh - 150px);
	object-position: 0 0;
		max-width: 100% !important;
}
	.premium-person-container .premium-person-image-container img { min-height: 515px; }
	
	.site-logo .custom-logo-link img { opacity: 0;}
	.site-logo .custom-logo-link {
		background-image: url(https://www.pathcounselingandwellness.com/wp-content/uploads/2023/01/PATH_Primary_Logo_Composite_Horizontal_White1.png);
		width: 400px;
		height: 100px;
		display: block;
		background-position: start;
		background-size: 75%;
		background-repeat: no-repeat;
	}
}
@media screen and (max-width:482px) {
    header#masthead{
        background: #FFFFFFF2 0% 0% no-repeat padding-box;
        position: sticky;
        top: 0;
        z-index:50;
    }
    #page.site { z-index: 100;}

    .site-logo .custom-logo {
        margin-left: 14px !important;
		--branding--logo--max-width-mobile: 140px;
    }
	
	.footer-navigation-wrapper li {
		width: 100%;
		text-align: center;
	}
	
	.sg-popup-content {
		width: 85% !important;
		margin:auto;
	}
	.sgpb-popup-close-button-6 {
		right: 15px !important;
	}
	
}

@media screen and (min-width:482px) and (max-width: 965px) {
    .primary-navigation .primary-menu-container > ul > .menu-item {
        margin: 0 1em;
        font-size: 2.1vw;
    }

     header#masthead{
         z-index:50;
         position: sticky;
         background: #FFFFFFF2 0% 0% no-repeat padding-box;
     }

}



@media screen and (max-width: 767px) {
	.site-header.has-logo:not(.has-title-and-tagline).has-menu .site-logo, .primary-navigation {
		top: 0 !important;
	}
	
	.elementor-2 .elementor-element.elementor-element-705175c:not(.elementor-motion-effects-element-type-background) > .elementor-column-wrap, .elementor-2 .elementor-element.elementor-element-705175c > .elementor-column-wrap > .elementor-motion-effects-container > .elementor-motion-effects-layer {
		background-repeat: no-repeat;
		background-size: cover;
		background-position: 50% 0%;
	}
	
	// blog list page
	
	//blog post page
	body.single-post h1, body .entry-title { font-size: 2em !important;}
	body.single-post .post-taxonomies { text-align: center !important;}
	body.single-post .site-main > :first-child, body.single-post #primary { margin-top: 40px !important;}
	
	body.error404 #content { margin: 40px 24px; }
}


